.wizard-container {
    display: flex;
    margin-top: 100px;
}

.wizard-vertical {
    background-color: #F4F4F4;
    padding: 20px;
    width: 310px;
    height: calc(100vh - 100px);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.logo-container-kart {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
}

.logo-background-kart {
    display: inline-block;
}

    .logo-background-kart img {
        height: 80px;
    }

.menu-selected {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 10px;
}

.wizard-vertical-content {
    width: 100%;
    margin-top: 10px;
}
    .wizard-vertical-content h1 {
        font-size: 1.50rem;
        margin-bottom: 10px;
    }

    .wizard-vertical-content h2 {
        font-weight: 500;
    }

.intro-text {
    font-size: 1.00rem;
    color: #666;
    margin-bottom: 30px;
}

.wizard-steps {
    width: 100%;
    margin-top: 30px;
}

.step-item {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
    position: relative;
    padding-left: 20px;
}

    .step-item::before {
        content: "";
        position: absolute;
        left: 10px;
        top: 0;
        bottom: 0;
        width: 2px;
        background-color: #ccc;
    }

.wizard-step-button {
    min-width: 50px;
    min-height: 50px;
    border-radius: 50%;
    border: 2px solid black;
    background: #fff;
    font-size: 1.12rem;
    cursor: pointer;
    z-index: 1;
    margin-right: 15px;
    transition: background-color 0.3s, border-color 0.3s;
}

    .wizard-step-button.active {
        border-color: #E40E18;
        background-color: #E2373F;
        font-weight: bold;
        color: white;
    }

.step-description {
    text-align: left;
}

    .step-description h3 {
        margin: 0;
        font-size: 1.12rem;
        color: #333;
    }

    .step-description p {
        margin: 5px 0 0;
        font-size: 1.12rem;
        color: #666;
        width: 80%;
        font-weight: 400;
    }



.wizard-content {
    flex: 1;
    padding: 50px;
    border-radius: 20px;
    flex-direction: column;
    height: auto;
}

    .wizard-content h1 {
        margin: 0;
        font-size: 1.75rem;
    }

    .wizard-content h2 {
        margin: 0;
        font-size: 1.12rem;
        font-weight: 500;
        margin-bottom: 20px;
    }


.kart-company-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 90%;
    overflow-y: auto;
    border: 2px solid #ddd;
    border-radius: 5px;
    padding: 10px;
    margin-top: 20px;
    height: 600px;
}

.kart-company-item {
    padding: 10px;
    background: #f4f4f4;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

    .kart-company-item:hover {
        background: #ddd;
    }

.kart-company-details {
    margin-top: 20px;
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background: #fff;
}

.menu-company-details {
    margin-top: 10px;
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background: #fff;
}

.kart-company-NameButtom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.kartodromo-infos-kart {
    display: flex;
    align-items: center;
    max-height: 150px;
    background-color: #F4F4F4;
    border-radius: 5px;
    width: 100%;
    padding: 10px;
}


.kartodromo-info-kart {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: auto;
}

.kartodromo-company-infos-kart {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 10px;
}

.kartodromo-company-info-kart {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}

.kartodromo-company-logo-kart {
    min-width: 90px;
    min-height: 90px;
    max-width: 90px;
    max-height: 90px;
    background-color: white;
    border-radius: 5px;
    align-items: center;
    justify-content: center;
    display: flex;
    overflow: hidden;
    padding: 10px;
}

.logo-kartodromo-kart {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    display: block;
}


.kartodromo-SocialName-kart {
    font-size: 1.25rem;
    font-weight: 900;
    line-height: 1.0;
}

.kartodromo-CityState-kart {
    font-size: 1.12rem;
    margin: 0;
    line-height: 1.0;
}

.kartodromo-social-kart {
    display: flex;
    gap: 10px;
    margin-top: 20px;
    margin-left: auto;
    margin: 5px;
    align-items: center;
    justify-content: center;
}

.section-date{
    width: 100%;
}

.section-date-select {
    display: flex;
    gap: 20px;
    padding: 20px;
    margin-top: 60px;
    font-weight: 500;
    font-size: 1.38rem;
    white-space: nowrap;
    align-items: center;
}

.date-highlight {
    background-color: white;
    padding: 5px 10px;
    border-radius: 5px;
}

.section-ranking {
    display: flex;
    width: 100%;
    justify-content: space-between;
    margin-left: 20px;
    margin-right: 50px;
    padding: 10px;
}

.section-ranking-title {
    min-width: 100px;
    display: flex;
    text-align: center;
    flex-direction: column;
}

    .section-ranking-title h3 {
        font-size: 3.75rem;
        margin: 0px 0px 20px 0px;
    }

    .section-ranking-title p {
        font-size: 1.88rem;
        margin: 0px 0px 20px 0px;
    }

.ranking-section {
    display: flex;
    flex-direction: column;
    height: 600px;
    overflow: auto;
}

.kart-card {
    display: flex;
    padding: 0.6rem;
    margin-bottom: 1rem;
    border-radius: 8px;
    color: black;
    width: 100%;
}

.kart-corridas {
    display: flex;
    margin: 0px;
    padding: 0px;
    flex-direction: column;
    gap: 10px;
}

.corrida-info {
    width: 100%;
    display: flex;
    margin: 0px 0px 0px 5px;
    padding: 0px 0px 0px 5px;
    flex-direction: column;
    gap: 0px;
    font-weight: 400;
    border-radius: 4px;
}

.modal-overlay-kart {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    overflow: auto;
}

.modal-content-kart {
    background-color: #fff;
    border-radius: 8px;
    padding: 20px;
    position: relative;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    max-width: 90%;
    max-height: 90%;
    overflow-y: auto;
}

.modal-header-kart {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal-close-button-kart {
    background: transparent;
    border: none;
    font-size: 1.50rem;
    cursor: pointer;
}

.modal-body-kart {
    margin-top: 20px;
}

.corridas-list {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.corrida-item {
    padding: 10px 20px;
    display: flex;
    gap: 5px;
    font-weight: 400;
    font-size: 1.00rem;
    border-radius: 5px;
}

.kart-search {
    display: flex;
    margin-bottom: 20px;
}

.btn-clear-kart {
    background: transparent;
    border: none;
    font-size: 0.94rem;
    cursor: pointer;
    margin-left: 5px;
    color: #ff4444;
}

.btn-show-sorted-karts {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.5rem 1rem;
    border-radius: 8px;
    background-color: transparent;
    color: black;
    border: 1px solid #ccc;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-left: 15px;
}

    .btn-show-sorted-karts.active {
        background-color: black;
        color: white;
        border: none;
        border: 1px solid #ccc;
    }

.kart-toggle-icon {
    width: 24px;
    height: 24px;
    transition: filter 0.3s ease;
}

    .kart-toggle-icon.active-img {
        filter: brightness(0) invert(1); 
    }


.kart-sorted-numbers {
    margin-top: 20px;
}

.sorted-karts-display {
    display: flex;
    flex-wrap: wrap;
    gap: 0.8rem;
    justify-content: flex-start;
}

.sorted-kart-number {
    width: 70px;
    height: 70px;
    display: flex; 
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    font-weight: bold;
    color: black;
    font-size: 1.56rem;
    text-align: center;
}


.alert-box {
    background-color: #ffdddd;
    border: 1px solid #f44336;
    color: #a94442;
    padding: 15px;
    border-radius: 5px;
    margin-bottom: 20px;
    font-size: 1.00rem;
    font-weight: 500;
    animation: fadeOut 0.5s ease-in-out 2.5s forwards;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        transform: translateY(-10px);
    }
}



.input-field-ranking {
    background-color: white;
    color: black;
    border: solid 2px black;
    border-radius: 5px;
    padding: 8px;
    font-size: 0.94rem;
    width: 100%;
    text-align: left;
    text-decoration: none;
    display: inline-block;
    transition: background-color 0.3s;
    font-family: 'BarlowCondensed', sans-serif;
}

    .input-field-ranking:focus {
        outline: none;
        background-color: #f5f5f5;
    }

    .input-field-ranking input {
        border: none;
        width: 100%;
        height: 100%;
    }

.kartRanking-loading {
    background-color: #F4F4F4;
    padding: 20px;
}

@media (max-width: 768px) {
    .wizard-container {
        display: flex;
        flex-direction: column;
        height: 115vh;
        gap: 20px;
        margin-top: 50px;
    }

    .wizard-vertical {
        width: 100%;
        height: auto;
    }

    .logo-container-kart {
        margin-bottom: 0px;
    }

    .wizard-vertical-content {
        margin-top: 0;
    }

        .wizard-vertical-content h1 {
            display: none;
        }

        .wizard-vertical-content h2 {
            display: none;
        }

    .menu-selected {
        display: flex;
        flex-direction: row;
        width: 100%;
    }

    .wizard-steps {
        display: flex;
        overflow: auto;
        gap: 20px;
    }

    .step-item {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: relative;
        padding-top: 10px;
    }

        .step-item::before {
            width: 100%;
            height: 2px;
            position: absolute;
            left: 50%;
            top: 0;
            bottom: auto;
            background-color: #ccc;
            transform: translateX(-50%);
        }

   
    .step-description {
        text-align: center;
    }

        .step-description h3 {
            white-space: nowrap;
        }

        .step-description p {
            width: 100%;
        }


    .wizard-content {
        flex: 1;
        padding: 10px;
        margin: 5px;
    }

        .wizard-content h1 {
            margin-top: 0px;
        }


    .kartodromo-company-logo-kart {
        min-width: 80px;
        min-height: 80px;
        max-width: 80px;
        max-height: 80px;
    }

    .kartodromo-SocialName-kart {
        font-size: 1.25rem;
        font-weight: 800;
        line-height: 1.0;
    }

    .section-date-select {
        margin-top: 40px;
    }

    .sorted-kart-number {
        width: 50px;
        height: 50px;
        font-size: 1.25rem;
    }

    .section-ranking {
        margin-left: 0px;
        margin-right: 0px;
        padding: 5px;
    }

    .sorted-karts-display {
        gap: 0.3rem;
    }
    .ranking-section {
        display: flex;
        flex-direction: column;
        height: AUTO;
        overflow: hidden;
    }
}